%global srcname novaclient
%bcond_with doc

Summary:          Python API and CLI for OpenStack Nova
Name:             python-novaclient
Version:          18.7.0
Release:          1%{?dist}
License:          ASL 2.0
URL:              https://launchpad.net/%{name}
Source0:          https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  git-core

BuildArch:        noarch

%description
This is a client for the OpenStack Nova API. There's a Python API (the \
novaclient module), and a command-line script (nova). Each implements 100% of \
the OpenStack Nova API.

%package -n python3-%{srcname}
Summary:          Python API and CLI for OpenStack Nova
BuildRequires:    python3-devel
BuildRequires:    python3-pbr
BuildRequires:    python3-setuptools
Requires:         python3-iso8601 >= 0.1.11
Requires:         python3-keystoneauth1 >= 3.5.0
Requires:         python3-oslo-i18n >= 3.15.3
Requires:         python3-oslo-serialization >= 2.18.0
Requires:         python3-oslo-utils >= 3.33.0
Requires:         python3-pbr >= 2.0.0
Requires:         python3-prettytable >= 0.7.2
Requires:         python3-stevedore >= 2.0.1

%description -n python3-%{srcname}
Python bindings for %{name}.

%if %{with doc}
%package doc
Summary:          Documentation for OpenStack Nova API Client
BuildRequires:    python3-sphinx
BuildRequires:    python3-sphinxcontrib-apidoc
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-oslo-utils
BuildRequires:    python3-keystoneauth1
BuildRequires:    python3-oslo-serialization
BuildRequires:    python3-prettytable

%description      doc
This package contains auto-generated documentation.
%endif

%prep
%autosetup

rm -rf *requirements.txt

%build
%{py3_build}

%install
%{py3_install}
ln -s nova %{buildroot}%{_bindir}/nova-3

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 tools/nova.bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/nova

rm -fr %{buildroot}%{python3_sitelib}/novaclient/tests

%if %{with doc}
sphinx-build -b html doc/source doc/build/html
sphinx-build -b man doc/source doc/build/man

install -p -D -m 644 doc/build/man/nova.1 %{buildroot}%{_mandir}/man1/nova.1

rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo doc/build/html/.htaccess
%endif

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{_bindir}/nova
%{_bindir}/nova-3
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d
%if %{with doc}
%{_mandir}/man1/nova.1.gz
%endif

%if %{with doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Mon Sep 23 2024 Upgrade Robot <upbot@opencloudos.tech> - 18.7.0-1
- Upgrade to version 18.7.0

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 18.1.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 18.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 18.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 18.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 18.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 cunshunxia <cunshunxia@tencent.com> - 18.1.0-1
- initial build
